/* totem-rotation-plugin.c generated by valac 0.40.19, the Vala compiler
 * generated from totem-rotation-plugin.vala, do not modify */

/*
 * Copyright (C) Simon Wenner 2011 <simon@wenner.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <libpeas/peas.h>
#include "bacon-video-widget.h"
#include <gio/gio.h>
#include <totem.h>
#include <gtk/gtk.h>
#include <glib/gi18n-lib.h>


#define TYPE_ROTATION_PLUGIN (rotation_plugin_get_type ())
#define ROTATION_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ROTATION_PLUGIN, RotationPlugin))
#define ROTATION_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ROTATION_PLUGIN, RotationPluginClass))
#define IS_ROTATION_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ROTATION_PLUGIN))
#define IS_ROTATION_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ROTATION_PLUGIN))
#define ROTATION_PLUGIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ROTATION_PLUGIN, RotationPluginClass))

typedef struct _RotationPlugin RotationPlugin;
typedef struct _RotationPluginClass RotationPluginClass;
typedef struct _RotationPluginPrivate RotationPluginPrivate;
enum  {
	ROTATION_PLUGIN_0_PROPERTY,
	ROTATION_PLUGIN_OBJECT_PROPERTY,
	ROTATION_PLUGIN_NUM_PROPERTIES
};
static GParamSpec* rotation_plugin_properties[ROTATION_PLUGIN_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _RotationPluginStoreStateData RotationPluginStoreStateData;
typedef struct _RotationPluginTryRestoreStateData RotationPluginTryRestoreStateData;

struct _RotationPlugin {
	GObject parent_instance;
	RotationPluginPrivate * priv;
};

struct _RotationPluginClass {
	GObjectClass parent_class;
};

struct _RotationPluginPrivate {
	GObject* _object;
	BaconVideoWidget* bvw;
	GSimpleAction* rotate_left_action;
	GSimpleAction* rotate_right_action;
};

struct _RotationPluginStoreStateData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	GAsyncReadyCallback _callback_;
	gboolean _task_complete_;
	RotationPlugin* self;
	TotemObject* t;
	GObject* _tmp0_;
	GObject* _tmp1_;
	gchar* mrl;
	TotemObject* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	GFile* file;
	const gchar* _tmp5_;
	GFile* _tmp6_;
	BvwRotation rotation;
	GFileInfo* file_info;
	GFile* _tmp7_;
	GFileInfo* _tmp8_;
	gchar* state_str;
	gchar* _tmp9_;
	BaconVideoWidget* _tmp10_;
	BvwRotation _tmp11_;
	BvwRotation _tmp12_;
	gchar* _tmp13_;
	GFileInfo* _tmp14_;
	const gchar* _tmp15_;
	GFile* _tmp16_;
	GFileInfo* _tmp17_;
	GError* e;
	GError* _vala1_e;
	GError* _tmp18_;
	const gchar* _tmp19_;
	GError* _inner_error0_;
};

struct _RotationPluginTryRestoreStateData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	GAsyncReadyCallback _callback_;
	gboolean _task_complete_;
	RotationPlugin* self;
	gchar* mrl;
	GFile* file;
	GFile* _tmp0_;
	gboolean _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
	GFileInfo* file_info;
	GFile* _tmp4_;
	GFileInfo* _tmp5_;
	gchar* state_str;
	GFileInfo* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_;
	const gchar* _tmp9_;
	gint state;
	const gchar* _tmp10_;
	BaconVideoWidget* _tmp11_;
	gint _tmp12_;
	GError* e;
	GError* _vala1_e;
	GError* _tmp13_;
	const gchar* _tmp14_;
	GError* _inner_error0_;
};


static gpointer rotation_plugin_parent_class = NULL;
static PeasActivatableInterface * rotation_plugin_peas_activatable_parent_iface = NULL;
static GType rotation_plugin_type_id = 0;

#define GIO_ROTATION_FILE_ATTRIBUTE "metadata::totem::rotation"
GType rotation_plugin_register_type (GTypeModule * module);
GType rotation_plugin_get_type (void) G_GNUC_CONST;
#define ROTATION_PLUGIN_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_ROTATION_PLUGIN, RotationPluginPrivate))
#define ROTATION_PLUGIN_STATE_COUNT 4
static void rotation_plugin_real_activate (PeasActivatable* base);
static void rotation_plugin_cb_rotate_left (RotationPlugin* self);
static void _rotation_plugin_cb_rotate_left_g_simple_action_activate (GSimpleAction* _sender,
                                                               GVariant* parameter,
                                                               gpointer self);
static void rotation_plugin_cb_rotate_right (RotationPlugin* self);
static void _rotation_plugin_cb_rotate_right_g_simple_action_activate (GSimpleAction* _sender,
                                                                GVariant* parameter,
                                                                gpointer self);
static void rotation_plugin_try_restore_state (RotationPlugin* self,
                                        const gchar* mrl,
                                        GAsyncReadyCallback _callback_,
                                        gpointer _user_data_);
static void rotation_plugin_try_restore_state_finish (RotationPlugin* self,
                                               GAsyncResult* _res_);
static void ___lambda6_ (RotationPlugin* self,
                  GObject* o,
                  GAsyncResult* r);
static void ____lambda6__gasync_ready_callback (GObject* source_object,
                                         GAsyncResult* res,
                                         gpointer self);
static void rotation_plugin_cb_file_closed (RotationPlugin* self);
static void _rotation_plugin_cb_file_closed_totem_object_file_closed (TotemObject* _sender,
                                                               gpointer self);
static void rotation_plugin_cb_file_opened (RotationPlugin* self,
                                     const gchar* mrl);
static void _rotation_plugin_cb_file_opened_totem_object_file_opened (TotemObject* _sender,
                                                               const gchar* mrl,
                                                               gpointer self);
static void rotation_plugin_real_deactivate (PeasActivatable* base);
static void rotation_plugin_real_update_state (PeasActivatable* base);
static void rotation_plugin_store_state (RotationPlugin* self,
                                  GAsyncReadyCallback _callback_,
                                  gpointer _user_data_);
static void rotation_plugin_store_state_finish (RotationPlugin* self,
                                         GAsyncResult* _res_);
static void __lambda4_ (RotationPlugin* self,
                 GObject* o,
                 GAsyncResult* r);
static void ___lambda4__gasync_ready_callback (GObject* source_object,
                                        GAsyncResult* res,
                                        gpointer self);
static void __lambda5_ (RotationPlugin* self,
                 GObject* o,
                 GAsyncResult* r);
static void ___lambda5__gasync_ready_callback (GObject* source_object,
                                        GAsyncResult* res,
                                        gpointer self);
static void __lambda7_ (RotationPlugin* self,
                 GObject* o,
                 GAsyncResult* r);
static void ___lambda7__gasync_ready_callback (GObject* source_object,
                                        GAsyncResult* res,
                                        gpointer self);
static void rotation_plugin_store_state_data_free (gpointer _data);
static void rotation_plugin_store_state_async_ready_wrapper (GObject *source_object,
                                                      GAsyncResult *res,
                                                      void *user_data);
static gboolean rotation_plugin_store_state_co (RotationPluginStoreStateData* _data_);
static void rotation_plugin_store_state_ready (GObject* source_object,
                                        GAsyncResult* _res_,
                                        gpointer _user_data_);
static void rotation_plugin_try_restore_state_data_free (gpointer _data);
static void rotation_plugin_try_restore_state_async_ready_wrapper (GObject *source_object,
                                                            GAsyncResult *res,
                                                            void *user_data);
static gboolean rotation_plugin_try_restore_state_co (RotationPluginTryRestoreStateData* _data_);
static void rotation_plugin_try_restore_state_ready (GObject* source_object,
                                              GAsyncResult* _res_,
                                              gpointer _user_data_);
RotationPlugin* rotation_plugin_new (void);
RotationPlugin* rotation_plugin_construct (GType object_type);
static void rotation_plugin_finalize (GObject * obj);
static void _vala_rotation_plugin_get_property (GObject * object,
                                         guint property_id,
                                         GValue * value,
                                         GParamSpec * pspec);
static void _vala_rotation_plugin_set_property (GObject * object,
                                         guint property_id,
                                         const GValue * value,
                                         GParamSpec * pspec);
void peas_register_types (GTypeModule* module);
GType rotation_plugin_register_type (GTypeModule * module);


static gpointer
_g_object_ref0 (gpointer self)
{
#line 37 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	return self ? g_object_ref (self) : NULL;
#line 246 "totem-rotation-plugin.c"
}


static void
_rotation_plugin_cb_rotate_left_g_simple_action_activate (GSimpleAction* _sender,
                                                          GVariant* parameter,
                                                          gpointer self)
{
#line 43 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_cb_rotate_left ((RotationPlugin*) self);
#line 257 "totem-rotation-plugin.c"
}


static void
_rotation_plugin_cb_rotate_right_g_simple_action_activate (GSimpleAction* _sender,
                                                           GVariant* parameter,
                                                           gpointer self)
{
#line 48 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_cb_rotate_right ((RotationPlugin*) self);
#line 268 "totem-rotation-plugin.c"
}


static void
___lambda6_ (RotationPlugin* self,
             GObject* o,
             GAsyncResult* r)
{
#line 67 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (r != NULL);
#line 68 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_try_restore_state_finish (self, r);
#line 281 "totem-rotation-plugin.c"
}


static void
____lambda6__gasync_ready_callback (GObject* source_object,
                                    GAsyncResult* res,
                                    gpointer self)
{
#line 67 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	___lambda6_ ((RotationPlugin*) self, source_object, res);
#line 67 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_unref (self);
#line 294 "totem-rotation-plugin.c"
}


static void
_rotation_plugin_cb_file_closed_totem_object_file_closed (TotemObject* _sender,
                                                          gpointer self)
{
#line 72 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_cb_file_closed ((RotationPlugin*) self);
#line 304 "totem-rotation-plugin.c"
}


static void
_rotation_plugin_cb_file_opened_totem_object_file_opened (TotemObject* _sender,
                                                          const gchar* mrl,
                                                          gpointer self)
{
#line 73 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_cb_file_opened ((RotationPlugin*) self, mrl);
#line 315 "totem-rotation-plugin.c"
}


static void
rotation_plugin_real_activate (PeasActivatable* base)
{
	RotationPlugin * self;
	TotemObject* t = NULL;
	GObject* _tmp0_;
	GObject* _tmp1_;
	gchar* mrl = NULL;
	TotemObject* _tmp2_;
	gchar* _tmp3_;
	GMenu* menu = NULL;
	TotemObject* _tmp4_;
	GMenu* _tmp5_;
	GMenu* _tmp6_;
	TotemObject* _tmp7_;
	GtkWidget* _tmp8_;
	BaconVideoWidget* _tmp9_;
	GSimpleAction* _tmp10_;
	GSimpleAction* _tmp11_;
	TotemObject* _tmp12_;
	GSimpleAction* _tmp13_;
	TotemObject* _tmp14_;
	GSimpleAction* _tmp15_;
	GSimpleAction* _tmp16_;
	TotemObject* _tmp17_;
	GSimpleAction* _tmp18_;
	TotemObject* _tmp19_;
	GMenuItem* item = NULL;
	GMenuItem* _tmp20_;
	GMenuItem* _tmp21_;
	GMenu* _tmp22_;
	GMenuItem* _tmp23_;
	GMenuItem* _tmp24_;
	GMenuItem* _tmp25_;
	GMenu* _tmp26_;
	GMenuItem* _tmp27_;
	const gchar* _tmp28_;
	const gchar* _tmp31_;
	TotemObject* _tmp33_;
	TotemObject* _tmp34_;
#line 33 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self = (RotationPlugin*) base;
#line 35 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_get ((PeasActivatable*) self, "object", &_tmp0_, NULL);
#line 35 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp1_ = _tmp0_;
#line 35 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	t = G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, totem_object_get_type (), TotemObject);
#line 36 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp2_ = t;
#line 36 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp3_ = totem_object_get_current_mrl (_tmp2_);
#line 36 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	mrl = _tmp3_;
#line 37 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp4_ = t;
#line 37 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp5_ = totem_object_get_menu_section (_tmp4_, "rotation-placeholder");
#line 37 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp6_ = _g_object_ref0 (_tmp5_);
#line 37 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	menu = _tmp6_;
#line 39 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp7_ = t;
#line 39 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp8_ = totem_object_get_video_widget (_tmp7_);
#line 39 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp9_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp8_, BACON_TYPE_VIDEO_WIDGET) ? ((BaconVideoWidget*) _tmp8_) : NULL;
#line 39 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_tmp9_ == NULL) {
#line 39 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_object_unref0 (_tmp8_);
#line 391 "totem-rotation-plugin.c"
	}
#line 39 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (self->priv->bvw);
#line 39 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self->priv->bvw = _tmp9_;
#line 42 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp10_ = g_simple_action_new ("rotate-left", NULL);
#line 42 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (self->priv->rotate_left_action);
#line 42 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self->priv->rotate_left_action = _tmp10_;
#line 43 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp11_ = self->priv->rotate_left_action;
#line 43 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_signal_connect_object (_tmp11_, "activate", (GCallback) _rotation_plugin_cb_rotate_left_g_simple_action_activate, self, 0);
#line 44 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp12_ = t;
#line 44 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp13_ = self->priv->rotate_left_action;
#line 44 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_action_map_add_action ((GActionMap*) _tmp12_, (GAction*) _tmp13_);
#line 45 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp14_ = t;
#line 45 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	gtk_application_add_accelerator ((GtkApplication*) _tmp14_, "<Primary><Shift>R", "app.rotate-left", NULL);
#line 47 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp15_ = g_simple_action_new ("rotate-right", NULL);
#line 47 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (self->priv->rotate_right_action);
#line 47 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self->priv->rotate_right_action = _tmp15_;
#line 48 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp16_ = self->priv->rotate_right_action;
#line 48 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_signal_connect_object (_tmp16_, "activate", (GCallback) _rotation_plugin_cb_rotate_right_g_simple_action_activate, self, 0);
#line 49 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp17_ = t;
#line 49 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp18_ = self->priv->rotate_right_action;
#line 49 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_action_map_add_action ((GActionMap*) _tmp17_, (GAction*) _tmp18_);
#line 50 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp19_ = t;
#line 50 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	gtk_application_add_accelerator ((GtkApplication*) _tmp19_, "<Primary>R", "app.rotate-right", NULL);
#line 52 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp20_ = g_menu_item_new (_ ("_Rotate ↷"), "app.rotate-right");
#line 52 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	item = _tmp20_;
#line 53 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp21_ = item;
#line 53 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_menu_item_set_attribute (_tmp21_, "accel", "s", "<Primary>R", NULL);
#line 54 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp22_ = menu;
#line 54 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp23_ = item;
#line 54 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_menu_append_item (_tmp22_, _tmp23_);
#line 56 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp24_ = g_menu_item_new (_ ("Rotate ↶"), "app.rotate-left");
#line 56 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (item);
#line 56 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	item = _tmp24_;
#line 57 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp25_ = item;
#line 57 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_menu_item_set_attribute (_tmp25_, "accel", "s", "<Primary><Shift>R", NULL);
#line 58 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp26_ = menu;
#line 58 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp27_ = item;
#line 58 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_menu_append_item (_tmp26_, _tmp27_);
#line 60 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp28_ = mrl;
#line 60 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_tmp28_ == NULL) {
#line 471 "totem-rotation-plugin.c"
		GSimpleAction* _tmp29_;
		GSimpleAction* _tmp30_;
#line 61 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_tmp29_ = self->priv->rotate_right_action;
#line 61 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_simple_action_set_enabled (_tmp29_, FALSE);
#line 62 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_tmp30_ = self->priv->rotate_left_action;
#line 62 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_simple_action_set_enabled (_tmp30_, FALSE);
#line 482 "totem-rotation-plugin.c"
	}
#line 66 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp31_ = mrl;
#line 66 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_tmp31_ != NULL) {
#line 488 "totem-rotation-plugin.c"
		const gchar* _tmp32_;
#line 67 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_tmp32_ = mrl;
#line 67 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		rotation_plugin_try_restore_state (self, _tmp32_, ____lambda6__gasync_ready_callback, g_object_ref (self));
#line 494 "totem-rotation-plugin.c"
	}
#line 72 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp33_ = t;
#line 72 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_signal_connect_object (_tmp33_, "file-closed", (GCallback) _rotation_plugin_cb_file_closed_totem_object_file_closed, self, 0);
#line 73 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp34_ = t;
#line 73 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_signal_connect_object (_tmp34_, "file-opened", (GCallback) _rotation_plugin_cb_file_opened_totem_object_file_opened, self, 0);
#line 33 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (item);
#line 33 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (menu);
#line 33 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_free0 (mrl);
#line 33 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (t);
#line 512 "totem-rotation-plugin.c"
}


static void
rotation_plugin_real_deactivate (PeasActivatable* base)
{
	RotationPlugin * self;
	TotemObject* t = NULL;
	GObject* _tmp0_;
	GObject* _tmp1_;
	guint _tmp2_;
	guint _tmp3_;
	BaconVideoWidget* _tmp4_;
#line 76 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self = (RotationPlugin*) base;
#line 78 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_get ((PeasActivatable*) self, "object", &_tmp0_, NULL);
#line 78 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp1_ = _tmp0_;
#line 78 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	t = G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, totem_object_get_type (), TotemObject);
#line 81 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_signal_parse_name ("file-closed", totem_object_get_type (), &_tmp2_, NULL, FALSE);
#line 81 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_signal_handlers_disconnect_matched (t, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp2_, 0, NULL, (GCallback) _rotation_plugin_cb_file_closed_totem_object_file_closed, self);
#line 82 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_signal_parse_name ("file-opened", totem_object_get_type (), &_tmp3_, NULL, FALSE);
#line 82 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_signal_handlers_disconnect_matched (t, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp3_, 0, NULL, (GCallback) _rotation_plugin_cb_file_opened_totem_object_file_opened, self);
#line 85 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	totem_object_empty_menu_section (t, "rotation-placeholder");
#line 88 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	gtk_application_remove_accelerator ((GtkApplication*) t, "app.rotate-right", NULL);
#line 89 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	gtk_application_remove_accelerator ((GtkApplication*) t, "app.rotate-left", NULL);
#line 92 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp4_ = self->priv->bvw;
#line 92 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	bacon_video_widget_set_rotation (_tmp4_, BVW_ROTATION_R_ZERO);
#line 76 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (t);
#line 554 "totem-rotation-plugin.c"
}


static void
rotation_plugin_real_update_state (PeasActivatable* base)
{
	RotationPlugin * self;
#line 95 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self = (RotationPlugin*) base;
#line 564 "totem-rotation-plugin.c"
}


static void
__lambda4_ (RotationPlugin* self,
            GObject* o,
            GAsyncResult* r)
{
#line 104 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (r != NULL);
#line 104 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_store_state_finish (self, r);
#line 577 "totem-rotation-plugin.c"
}


static void
___lambda4__gasync_ready_callback (GObject* source_object,
                                   GAsyncResult* res,
                                   gpointer self)
{
#line 104 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	__lambda4_ ((RotationPlugin*) self, source_object, res);
#line 104 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_unref (self);
#line 590 "totem-rotation-plugin.c"
}


static void
rotation_plugin_cb_rotate_left (RotationPlugin* self)
{
	gint state = 0;
	BaconVideoWidget* _tmp0_;
	BaconVideoWidget* _tmp1_;
#line 100 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (self != NULL);
#line 102 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp0_ = self->priv->bvw;
#line 102 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	state = (gint) ((bacon_video_widget_get_rotation (_tmp0_) - 1) % ROTATION_PLUGIN_STATE_COUNT);
#line 103 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp1_ = self->priv->bvw;
#line 103 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	bacon_video_widget_set_rotation (_tmp1_, (BvwRotation) state);
#line 104 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_store_state (self, ___lambda4__gasync_ready_callback, g_object_ref (self));
#line 612 "totem-rotation-plugin.c"
}


static void
__lambda5_ (RotationPlugin* self,
            GObject* o,
            GAsyncResult* r)
{
#line 111 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (r != NULL);
#line 111 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_store_state_finish (self, r);
#line 625 "totem-rotation-plugin.c"
}


static void
___lambda5__gasync_ready_callback (GObject* source_object,
                                   GAsyncResult* res,
                                   gpointer self)
{
#line 111 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	__lambda5_ ((RotationPlugin*) self, source_object, res);
#line 111 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_unref (self);
#line 638 "totem-rotation-plugin.c"
}


static void
rotation_plugin_cb_rotate_right (RotationPlugin* self)
{
	gint state = 0;
	BaconVideoWidget* _tmp0_;
	BaconVideoWidget* _tmp1_;
#line 107 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (self != NULL);
#line 109 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp0_ = self->priv->bvw;
#line 109 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	state = (gint) ((bacon_video_widget_get_rotation (_tmp0_) + 1) % ROTATION_PLUGIN_STATE_COUNT);
#line 110 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp1_ = self->priv->bvw;
#line 110 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	bacon_video_widget_set_rotation (_tmp1_, (BvwRotation) state);
#line 111 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_store_state (self, ___lambda5__gasync_ready_callback, g_object_ref (self));
#line 660 "totem-rotation-plugin.c"
}


static void
rotation_plugin_cb_file_closed (RotationPlugin* self)
{
	BaconVideoWidget* _tmp0_;
	GSimpleAction* _tmp1_;
	GSimpleAction* _tmp2_;
#line 114 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (self != NULL);
#line 117 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp0_ = self->priv->bvw;
#line 117 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	bacon_video_widget_set_rotation (_tmp0_, BVW_ROTATION_R_ZERO);
#line 118 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp1_ = self->priv->rotate_right_action;
#line 118 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_simple_action_set_enabled (_tmp1_, FALSE);
#line 119 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp2_ = self->priv->rotate_left_action;
#line 119 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_simple_action_set_enabled (_tmp2_, FALSE);
#line 684 "totem-rotation-plugin.c"
}


static void
__lambda7_ (RotationPlugin* self,
            GObject* o,
            GAsyncResult* r)
{
#line 126 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (r != NULL);
#line 127 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_try_restore_state_finish (self, r);
#line 697 "totem-rotation-plugin.c"
}


static void
___lambda7__gasync_ready_callback (GObject* source_object,
                                   GAsyncResult* res,
                                   gpointer self)
{
#line 126 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	__lambda7_ ((RotationPlugin*) self, source_object, res);
#line 126 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_unref (self);
#line 710 "totem-rotation-plugin.c"
}


static void
rotation_plugin_cb_file_opened (RotationPlugin* self,
                                const gchar* mrl)
{
	GSimpleAction* _tmp0_;
	GSimpleAction* _tmp1_;
#line 122 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (self != NULL);
#line 122 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (mrl != NULL);
#line 124 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp0_ = self->priv->rotate_right_action;
#line 124 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_simple_action_set_enabled (_tmp0_, TRUE);
#line 125 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp1_ = self->priv->rotate_left_action;
#line 125 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_simple_action_set_enabled (_tmp1_, TRUE);
#line 126 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_try_restore_state (self, mrl, ___lambda7__gasync_ready_callback, g_object_ref (self));
#line 734 "totem-rotation-plugin.c"
}


static void
rotation_plugin_store_state_data_free (gpointer _data)
{
	RotationPluginStoreStateData* _data_;
	_data_ = _data;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (_data_->self);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_slice_free (RotationPluginStoreStateData, _data_);
#line 747 "totem-rotation-plugin.c"
}


static void
rotation_plugin_store_state_async_ready_wrapper (GObject *source_object,
                                                 GAsyncResult *res,
                                                 void *user_data)
{
	RotationPluginStoreStateData* _task_data_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_task_data_ = g_task_get_task_data (G_TASK (res));
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_task_data_->_callback_ != NULL) {
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_task_data_->_callback_ (source_object, res, user_data);
#line 763 "totem-rotation-plugin.c"
	}
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_task_data_->_task_complete_ = TRUE;
#line 767 "totem-rotation-plugin.c"
}


static void
rotation_plugin_store_state (RotationPlugin* self,
                             GAsyncReadyCallback _callback_,
                             gpointer _user_data_)
{
	RotationPluginStoreStateData* _data_;
	RotationPlugin* _tmp0_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_ = g_slice_new0 (RotationPluginStoreStateData);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_callback_ = _callback_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, rotation_plugin_store_state_async_ready_wrapper, _user_data_);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_callback_ == NULL) {
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_task_complete_ = TRUE;
#line 788 "totem-rotation-plugin.c"
	}
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_task_set_task_data (_data_->_async_result, _data_, rotation_plugin_store_state_data_free);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->self = _tmp0_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_store_state_co (_data_);
#line 798 "totem-rotation-plugin.c"
}


static void
rotation_plugin_store_state_finish (RotationPlugin* self,
                                    GAsyncResult* _res_)
{
	RotationPluginStoreStateData* _data_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 809 "totem-rotation-plugin.c"
}


static void
rotation_plugin_store_state_ready (GObject* source_object,
                                   GAsyncResult* _res_,
                                   gpointer _user_data_)
{
	RotationPluginStoreStateData* _data_;
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_ = _user_data_;
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_source_object_ = source_object;
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_res_ = _res_;
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_task_complete_ = TRUE;
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_store_state_co (_data_);
#line 829 "totem-rotation-plugin.c"
}


static gboolean
rotation_plugin_store_state_co (RotationPluginStoreStateData* _data_)
{
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	switch (_data_->_state_) {
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		case 0:
#line 840 "totem-rotation-plugin.c"
		goto _state_0;
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		case 1:
#line 844 "totem-rotation-plugin.c"
		goto _state_1;
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		case 2:
#line 848 "totem-rotation-plugin.c"
		goto _state_2;
		default:
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_assert_not_reached ();
#line 853 "totem-rotation-plugin.c"
	}
	_state_0:
#line 133 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_get ((PeasActivatable*) _data_->self, "object", &_data_->_tmp0_, NULL);
#line 133 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_tmp1_ = _data_->_tmp0_;
#line 133 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->t = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp1_, totem_object_get_type (), TotemObject);
#line 134 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_tmp2_ = _data_->t;
#line 134 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_tmp3_ = totem_object_get_current_mrl (_data_->_tmp2_);
#line 134 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->mrl = _data_->_tmp3_;
#line 136 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_tmp4_ = _data_->mrl;
#line 136 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_data_->_tmp4_ == NULL) {
#line 137 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_free0 (_data_->mrl);
#line 137 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_object_unref0 (_data_->t);
#line 137 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 137 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		if (_data_->_state_ != 0) {
#line 137 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			while (!_data_->_task_complete_) {
#line 137 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 884 "totem-rotation-plugin.c"
			}
		}
#line 137 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_object_unref (_data_->_async_result);
#line 137 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		return FALSE;
#line 891 "totem-rotation-plugin.c"
	}
#line 140 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_tmp5_ = _data_->mrl;
#line 140 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_tmp6_ = g_file_new_for_uri (_data_->_tmp5_);
#line 140 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->file = _data_->_tmp6_;
#line 899 "totem-rotation-plugin.c"
	{
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp7_ = _data_->file;
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_state_ = 1;
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_file_query_info_async (_data_->_tmp7_, GIO_ROTATION_FILE_ATTRIBUTE, G_FILE_QUERY_INFO_NONE, G_PRIORITY_DEFAULT, NULL, rotation_plugin_store_state_ready, _data_);
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		return FALSE;
#line 909 "totem-rotation-plugin.c"
		_state_1:
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp8_ = g_file_query_info_finish (_data_->_tmp7_, _data_->_res_, &_data_->_inner_error0_);
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->file_info = _data_->_tmp8_;
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 143 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			if (g_error_matches (_data_->_inner_error0_, G_IO_ERROR, G_IO_ERROR_NOT_SUPPORTED)) {
#line 919 "totem-rotation-plugin.c"
				goto __catch0_g_io_error_not_supported;
			}
			goto __catch0_g_error;
		}
#line 146 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp9_ = g_strdup ("");
#line 146 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->state_str = _data_->_tmp9_;
#line 147 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp10_ = _data_->self->priv->bvw;
#line 147 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->rotation = bacon_video_widget_get_rotation (_data_->_tmp10_);
#line 148 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp11_ = _data_->rotation;
#line 148 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		if (_data_->_tmp11_ != BVW_ROTATION_R_ZERO) {
#line 149 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_data_->_tmp12_ = _data_->rotation;
#line 149 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_data_->_tmp13_ = g_strdup_printf ("%u", (guint) _data_->_tmp12_);
#line 149 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_g_free0 (_data_->state_str);
#line 149 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_data_->state_str = _data_->_tmp13_;
#line 944 "totem-rotation-plugin.c"
		}
#line 151 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp14_ = _data_->file_info;
#line 151 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp15_ = _data_->state_str;
#line 151 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_file_info_set_attribute_string (_data_->_tmp14_, GIO_ROTATION_FILE_ATTRIBUTE, _data_->_tmp15_);
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp16_ = _data_->file;
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp17_ = _data_->file_info;
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_state_ = 2;
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_file_set_attributes_async (_data_->_tmp16_, _data_->_tmp17_, G_FILE_QUERY_INFO_NONE, G_PRIORITY_DEFAULT, NULL, rotation_plugin_store_state_ready, _data_);
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		return FALSE;
#line 962 "totem-rotation-plugin.c"
		_state_2:
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_file_set_attributes_finish (_data_->_tmp16_, _data_->_res_, NULL, &_data_->_inner_error0_);
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_g_free0 (_data_->state_str);
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_g_object_unref0 (_data_->file_info);
#line 152 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			if (g_error_matches (_data_->_inner_error0_, G_IO_ERROR, G_IO_ERROR_NOT_SUPPORTED)) {
#line 974 "totem-rotation-plugin.c"
				goto __catch0_g_io_error_not_supported;
			}
			goto __catch0_g_error;
		}
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_free0 (_data_->state_str);
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_object_unref0 (_data_->file_info);
#line 983 "totem-rotation-plugin.c"
	}
	goto __finally0;
	__catch0_g_io_error_not_supported:
	{
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->e = _data_->_inner_error0_;
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_inner_error0_ = NULL;
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_error_free0 (_data_->e);
#line 994 "totem-rotation-plugin.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_vala1_e = _data_->_inner_error0_;
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_inner_error0_ = NULL;
#line 156 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp18_ = _data_->_vala1_e;
#line 156 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp19_ = _data_->_tmp18_->message;
#line 156 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_warning ("totem-rotation-plugin.vala:156: Could not store file attribute: %s", _data_->_tmp19_);
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_error_free0 (_data_->_vala1_e);
#line 1011 "totem-rotation-plugin.c"
	}
	__finally0:
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_object_unref0 (_data_->file);
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_free0 (_data_->mrl);
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_object_unref0 (_data_->t);
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_clear_error (&_data_->_inner_error0_);
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_object_unref (_data_->_async_result);
#line 141 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		return FALSE;
#line 1030 "totem-rotation-plugin.c"
	}
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (_data_->file);
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_free0 (_data_->mrl);
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (_data_->t);
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_data_->_state_ != 0) {
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		while (!_data_->_task_complete_) {
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1046 "totem-rotation-plugin.c"
		}
	}
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_unref (_data_->_async_result);
#line 131 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	return FALSE;
#line 1053 "totem-rotation-plugin.c"
}


static void
rotation_plugin_try_restore_state_data_free (gpointer _data)
{
	RotationPluginTryRestoreStateData* _data_;
	_data_ = _data;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_free0 (_data_->mrl);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (_data_->self);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_slice_free (RotationPluginTryRestoreStateData, _data_);
#line 1068 "totem-rotation-plugin.c"
}


static void
rotation_plugin_try_restore_state_async_ready_wrapper (GObject *source_object,
                                                       GAsyncResult *res,
                                                       void *user_data)
{
	RotationPluginTryRestoreStateData* _task_data_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_task_data_ = g_task_get_task_data (G_TASK (res));
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_task_data_->_callback_ != NULL) {
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_task_data_->_callback_ (source_object, res, user_data);
#line 1084 "totem-rotation-plugin.c"
	}
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_task_data_->_task_complete_ = TRUE;
#line 1088 "totem-rotation-plugin.c"
}


static void
rotation_plugin_try_restore_state (RotationPlugin* self,
                                   const gchar* mrl,
                                   GAsyncReadyCallback _callback_,
                                   gpointer _user_data_)
{
	RotationPluginTryRestoreStateData* _data_;
	RotationPlugin* _tmp0_;
	gchar* _tmp1_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_ = g_slice_new0 (RotationPluginTryRestoreStateData);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_callback_ = _callback_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, rotation_plugin_try_restore_state_async_ready_wrapper, _user_data_);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_callback_ == NULL) {
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_task_complete_ = TRUE;
#line 1111 "totem-rotation-plugin.c"
	}
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_task_set_task_data (_data_->_async_result, _data_, rotation_plugin_try_restore_state_data_free);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->self = _tmp0_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp1_ = g_strdup (mrl);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_free0 (_data_->mrl);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->mrl = _tmp1_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_try_restore_state_co (_data_);
#line 1127 "totem-rotation-plugin.c"
}


static void
rotation_plugin_try_restore_state_finish (RotationPlugin* self,
                                          GAsyncResult* _res_)
{
	RotationPluginTryRestoreStateData* _data_;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 1138 "totem-rotation-plugin.c"
}


static void
rotation_plugin_try_restore_state_ready (GObject* source_object,
                                         GAsyncResult* _res_,
                                         gpointer _user_data_)
{
	RotationPluginTryRestoreStateData* _data_;
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_ = _user_data_;
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_source_object_ = source_object;
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_res_ = _res_;
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_task_complete_ = TRUE;
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_try_restore_state_co (_data_);
#line 1158 "totem-rotation-plugin.c"
}


static guint64
uint64_parse (const gchar* str)
{
	guint64 result = 0ULL;
#line 782 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 783 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = g_ascii_strtoull (str, NULL, (guint) 0);
#line 783 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1172 "totem-rotation-plugin.c"
}


static gboolean
rotation_plugin_try_restore_state_co (RotationPluginTryRestoreStateData* _data_)
{
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	switch (_data_->_state_) {
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		case 0:
#line 1183 "totem-rotation-plugin.c"
		goto _state_0;
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		case 1:
#line 1187 "totem-rotation-plugin.c"
		goto _state_1;
		default:
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_assert_not_reached ();
#line 1192 "totem-rotation-plugin.c"
	}
	_state_0:
#line 162 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_tmp0_ = g_file_new_for_uri (_data_->mrl);
#line 162 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->file = _data_->_tmp0_;
#line 163 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_data_->_tmp2_ = _data_->file;
#line 163 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (g_file_has_uri_scheme (_data_->_tmp2_, "http")) {
#line 163 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp1_ = TRUE;
#line 1205 "totem-rotation-plugin.c"
	} else {
#line 163 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp3_ = _data_->file;
#line 163 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp1_ = g_file_has_uri_scheme (_data_->_tmp3_, "dvd");
#line 1211 "totem-rotation-plugin.c"
	}
#line 163 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_data_->_tmp1_) {
#line 164 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_object_unref0 (_data_->file);
#line 164 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 164 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		if (_data_->_state_ != 0) {
#line 164 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			while (!_data_->_task_complete_) {
#line 164 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1225 "totem-rotation-plugin.c"
			}
		}
#line 164 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_object_unref (_data_->_async_result);
#line 164 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		return FALSE;
#line 1232 "totem-rotation-plugin.c"
	}
	{
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp4_ = _data_->file;
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_state_ = 1;
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_file_query_info_async (_data_->_tmp4_, GIO_ROTATION_FILE_ATTRIBUTE, G_FILE_QUERY_INFO_NONE, G_PRIORITY_DEFAULT, NULL, rotation_plugin_try_restore_state_ready, _data_);
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		return FALSE;
#line 1243 "totem-rotation-plugin.c"
		_state_1:
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp5_ = g_file_query_info_finish (_data_->_tmp4_, _data_->_res_, &_data_->_inner_error0_);
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->file_info = _data_->_tmp5_;
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 166 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			if (g_error_matches (_data_->_inner_error0_, G_IO_ERROR, G_IO_ERROR_NOT_SUPPORTED)) {
#line 1253 "totem-rotation-plugin.c"
				goto __catch1_g_io_error_not_supported;
			}
			goto __catch1_g_error;
		}
#line 168 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp6_ = _data_->file_info;
#line 168 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp7_ = g_file_info_get_attribute_string (_data_->_tmp6_, GIO_ROTATION_FILE_ATTRIBUTE);
#line 168 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp8_ = g_strdup (_data_->_tmp7_);
#line 168 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->state_str = _data_->_tmp8_;
#line 169 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp9_ = _data_->state_str;
#line 169 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		if (_data_->_tmp9_ != NULL) {
#line 170 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_data_->_tmp10_ = _data_->state_str;
#line 170 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_data_->state = (gint) ((BvwRotation) uint64_parse (_data_->_tmp10_));
#line 171 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_data_->_tmp11_ = _data_->self->priv->bvw;
#line 171 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			_data_->_tmp12_ = _data_->state;
#line 171 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			bacon_video_widget_set_rotation (_data_->_tmp11_, (BvwRotation) _data_->_tmp12_);
#line 1280 "totem-rotation-plugin.c"
		}
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_free0 (_data_->state_str);
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_object_unref0 (_data_->file_info);
#line 1286 "totem-rotation-plugin.c"
	}
	goto __finally1;
	__catch1_g_io_error_not_supported:
	{
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->e = _data_->_inner_error0_;
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_inner_error0_ = NULL;
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_error_free0 (_data_->e);
#line 1297 "totem-rotation-plugin.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_vala1_e = _data_->_inner_error0_;
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_inner_error0_ = NULL;
#line 175 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp13_ = _data_->_vala1_e;
#line 175 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_data_->_tmp14_ = _data_->_tmp13_->message;
#line 175 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_warning ("totem-rotation-plugin.vala:175: Could not query file attribute: %s", _data_->_tmp14_);
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_error_free0 (_data_->_vala1_e);
#line 1314 "totem-rotation-plugin.c"
	}
	__finally1:
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_object_unref0 (_data_->file);
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_clear_error (&_data_->_inner_error0_);
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_object_unref (_data_->_async_result);
#line 165 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		return FALSE;
#line 1329 "totem-rotation-plugin.c"
	}
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (_data_->file);
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (_data_->_state_ != 0) {
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		while (!_data_->_task_complete_) {
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1341 "totem-rotation-plugin.c"
		}
	}
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_unref (_data_->_async_result);
#line 160 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	return FALSE;
#line 1348 "totem-rotation-plugin.c"
}


RotationPlugin*
rotation_plugin_construct (GType object_type)
{
	RotationPlugin * self = NULL;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self = (RotationPlugin*) g_object_new (object_type, NULL);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	return self;
#line 1360 "totem-rotation-plugin.c"
}


RotationPlugin*
rotation_plugin_new (void)
{
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	return rotation_plugin_construct (TYPE_ROTATION_PLUGIN);
#line 1369 "totem-rotation-plugin.c"
}


static GObject*
rotation_plugin_real_get_object (PeasActivatable* base)
{
	GObject* result;
	RotationPlugin* self;
	GObject* _tmp0_;
	GObject* _tmp1_;
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self = (RotationPlugin*) base;
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp0_ = self->priv->_object;
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	result = _tmp1_;
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	return result;
#line 1390 "totem-rotation-plugin.c"
}


static void
rotation_plugin_real_set_object (PeasActivatable* base,
                                 GObject* value)
{
	RotationPlugin* self;
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self = (RotationPlugin*) base;
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	if (rotation_plugin_real_get_object (base) != value) {
#line 1403 "totem-rotation-plugin.c"
		GObject* _tmp0_;
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		_g_object_unref0 (self->priv->_object);
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		self->priv->_object = _tmp0_;
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_object_notify_by_pspec ((GObject *) self, rotation_plugin_properties[ROTATION_PLUGIN_OBJECT_PROPERTY]);
#line 1413 "totem-rotation-plugin.c"
	}
}


static void
rotation_plugin_class_init (RotationPluginClass * klass)
{
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_parent_class = g_type_class_peek_parent (klass);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_type_class_add_private (klass, sizeof (RotationPluginPrivate));
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_rotation_plugin_get_property;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_rotation_plugin_set_property;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	G_OBJECT_CLASS (klass)->finalize = rotation_plugin_finalize;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ROTATION_PLUGIN_OBJECT_PROPERTY, rotation_plugin_properties[ROTATION_PLUGIN_OBJECT_PROPERTY] = g_param_spec_object ("object", "object", "object", G_TYPE_OBJECT, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 1433 "totem-rotation-plugin.c"
}


static void
rotation_plugin_peas_activatable_interface_init (PeasActivatableInterface * iface)
{
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_peas_activatable_parent_iface = g_type_interface_peek_parent (iface);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	iface->activate = (void (*) (PeasActivatable*)) rotation_plugin_real_activate;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	iface->deactivate = (void (*) (PeasActivatable*)) rotation_plugin_real_deactivate;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	iface->update_state = (void (*) (PeasActivatable*)) rotation_plugin_real_update_state;
#line 1448 "totem-rotation-plugin.c"
}


static void
rotation_plugin_instance_init (RotationPlugin * self)
{
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self->priv = ROTATION_PLUGIN_GET_PRIVATE (self);
#line 29 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self->priv->bvw = NULL;
#line 30 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self->priv->rotate_left_action = NULL;
#line 31 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self->priv->rotate_right_action = NULL;
#line 1463 "totem-rotation-plugin.c"
}


static void
rotation_plugin_finalize (GObject * obj)
{
	RotationPlugin * self;
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_ROTATION_PLUGIN, RotationPlugin);
#line 28 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (self->priv->_object);
#line 29 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (self->priv->bvw);
#line 30 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (self->priv->rotate_left_action);
#line 31 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (self->priv->rotate_right_action);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	G_OBJECT_CLASS (rotation_plugin_parent_class)->finalize (obj);
#line 1483 "totem-rotation-plugin.c"
}


GType
rotation_plugin_get_type (void)
{
	return rotation_plugin_type_id;
}


GType
rotation_plugin_register_type (GTypeModule * module)
{
	static const GTypeInfo g_define_type_info = { sizeof (RotationPluginClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) rotation_plugin_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (RotationPlugin), 0, (GInstanceInitFunc) rotation_plugin_instance_init, NULL };
	static const GInterfaceInfo peas_activatable_info = { (GInterfaceInitFunc) rotation_plugin_peas_activatable_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
	rotation_plugin_type_id = g_type_module_register_type (module, G_TYPE_OBJECT, "RotationPlugin", &g_define_type_info, 0);
	g_type_module_add_interface (module, rotation_plugin_type_id, peas_activatable_get_type (), &peas_activatable_info);
	return rotation_plugin_type_id;
}


static void
_vala_rotation_plugin_get_property (GObject * object,
                                    guint property_id,
                                    GValue * value,
                                    GParamSpec * pspec)
{
	RotationPlugin * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_ROTATION_PLUGIN, RotationPlugin);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	switch (property_id) {
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		case ROTATION_PLUGIN_OBJECT_PROPERTY:
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		g_value_take_object (value, rotation_plugin_real_get_object ((PeasActivatable*) self));
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		break;
#line 1521 "totem-rotation-plugin.c"
		default:
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		break;
#line 1527 "totem-rotation-plugin.c"
	}
}


static void
_vala_rotation_plugin_set_property (GObject * object,
                                    guint property_id,
                                    const GValue * value,
                                    GParamSpec * pspec)
{
	RotationPlugin * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_ROTATION_PLUGIN, RotationPlugin);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	switch (property_id) {
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		case ROTATION_PLUGIN_OBJECT_PROPERTY:
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		rotation_plugin_real_set_object ((PeasActivatable*) self, g_value_get_object (value));
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		break;
#line 1548 "totem-rotation-plugin.c"
		default:
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 25 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
		break;
#line 1554 "totem-rotation-plugin.c"
	}
}


void
peas_register_types (GTypeModule* module)
{
	PeasObjectModule* objmodule = NULL;
	PeasObjectModule* _tmp0_;
#line 181 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	g_return_if_fail (module != NULL);
#line 181 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	rotation_plugin_register_type (module);
#line 182 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_tmp0_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (module, peas_object_module_get_type ()) ? ((PeasObjectModule*) module) : NULL);
#line 182 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	objmodule = _tmp0_;
#line 183 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	peas_object_module_register_extension_type (objmodule, peas_activatable_get_type (), TYPE_ROTATION_PLUGIN);
#line 181 "/builddir/build/BUILD/totem-3.26.2/src/plugins/rotation/totem-rotation-plugin.vala"
	_g_object_unref0 (objmodule);
#line 1576 "totem-rotation-plugin.c"
}



